osl::hash::HashRandomPair Class Reference

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Static Public Member Functions | Static Public Attributes | Static Private Attributes | List of all members
osl::hash::HashRandomPair Class Reference

`#include <hashRandomPair.h>`

## Static Public Member Functions
static void | setUp (unsigned int seed, unsigned int prob100)
static std::pair< char, char > | value (size_t key)
static std::pair< char, char > | value (const HashKey &key)
static bool | initialized ()

## Static Public Attributes
static const size_t | Length = 0x100000

## Static Private Attributes
static std::pair< char, char > | table [Length]
static bool | is_initialized = 0

## Detailed Description

Definition at line 12 of file hashRandomPair.h.

## Member Function Documentation

static bool osl::hash::HashRandomPair::initialized | ( | ) |  |
| inlinestatic

Definition at line 29 of file hashRandomPair.h.

References is_initialized.

void osl::hash::HashRandomPair::setUp | ( | unsigned int | seed,
|  | unsigned int | prob100
| ) |  |
| static

Definition at line 12 of file hashRandomPair.cc.

References is_initialized, Length, and table.

static std::pair<char,char> osl::hash::HashRandomPair::value | ( | size_t | key) |  |
| inlinestatic

Definition at line 21 of file hashRandomPair.h.

References Length, and table.

Referenced by value().

static std::pair<char,char> osl::hash::HashRandomPair::value | ( | const HashKey & | key) |  |
| inlinestatic

Definition at line 25 of file hashRandomPair.h.

References osl::hash::HashKey128::signature(), and value().

## Member Data Documentation

bool osl::hash::HashRandomPair::is_initialized = 0
| staticprivate

Definition at line 18 of file hashRandomPair.h.

Referenced by initialized(), and setUp().

const size_t osl::hash::HashRandomPair::Length = 0x100000
| static

Definition at line 15 of file hashRandomPair.h.

Referenced by setUp(), and value().

std::pair< char, char > osl::hash::HashRandomPair::table
| staticprivate

Definition at line 17 of file hashRandomPair.h.

Referenced by setUp(), and value().

The documentation for this class was generated from the following files:

- hashRandomPair.h
- hashRandomPair.cc